Rygel.MediaEngine.get_dlna_profiles – librygel-server Reference Manual

# get_dlna_profiles

## Description:

public abstract unowned `List`<`DLNAProfile`> get_dlna_profiles ()

Get a list of the DLNA profiles that are supported by this media engine when calling rygel_media_engine_create_data_source().

Other DLNA profiles may be supported as transcoding targets -

This information is needed to implement DLNA's ConnectionManager.GetProtocolInfo call and to determine whether Rygel can accept an uploaded file.

## Returns:

A list of #RygelDLNAProfile<!-- -->s

## See also:

`rygel_media_engine_get_transcoders().`